pjf

The Comprehensive Kerbal Archive Network (CKAN) Package Manager; v1.18.0 [19 June 2016]

Recommended Posts

The big link in the OP's "latest s CLI release doesn't work if you try to update (assumedly because what it links to is nearly a month out of date), and the GUI version doesn't work either if you try to update (throwing only a vague "failed to connect to repository"). You may want to update the OP link to the general release page as it's kind of confusing to get into using the utility if you don't follow the thread.

Share this post


Link to post
Share on other sites

Hey I've been experiencing an issue whenever I try to use the "Choose KSP Install" button in "CKAN settings" Whenever I use it it shows the cmd window for a second then that disappears and it just goes back to the main screen without showing the window where you can edit different KSP directories at all. Has anyone else experienced this? Am I doing something wrong? Is there some sort of solution that I can implement?

Edited by TheSolty

Share this post


Link to post
Share on other sites

Hey, I have a big problem, whenever I say refresh it tells me it failed to connect to repository. Please help! IF you can help me fix this I will be able to play KSP again!

Share this post


Link to post
Share on other sites

DOWNLOAD HERE

I'm very happpy to say that the Comprehensive Kerbal Archive Network v1.3.0 client (aka Fermi Paradox) has been released. Our GUI is now not only supported under all operating systems, but is also much faster than the experimental one. The first 0.90 mods are already being indexed, and CKAN v1.3.0 is a recommended upgrade for all users.

For those wondering about the 0.90 release of KSP, the CKAN spec has had strong version metadata built into it from the very start; it knows which version of a mod it should install for your particular version of KSP. Right now there are 236 mods indexed for 0.25, and we hope to see the 0.90 mods indexed as soon as authors are finished building them.

For those who need pictures, here's a screenshot:

1qXpwk7.png

As a reminder to those on Linux and Mac, this is a mono application, so you may need to run mono ckan.exe to execute. Besides from mono, there are absolutely no dependencies

Changes since v1.1.3 (Puffy Planet) include:

GUI:

  • Faster changing of module filters
  • Better reporting on certificate errors
  • Better reporting of errors in general
  • Columns are more likely to remain the size you set them
  • Mod descriptions have better wrapping
  • The "update all" button will grey out if no updates are available
  • An awesomenew CKAN icon
  • Non-visible tabs will no longer have their contents updated
  • Much faster

CmdLine:

  • Some error messages are less terrible on download failure
  • ckan remove can now take a list of mods.
  • add, uninstall and use are aliases for install, remove and ksp default respectively.

Overall:

  • Transaction timeouts should be less common
  • Less likely to fail hard when directories are renamed
  • v1.2 CKAN metadata is supported, allowing for more modules to be installed
  • Lots of code-clean up and extra testing internally

Special thanks goes to all our amazing contributors, in particular RichardLake, who has been pouring in an incredible amount of effort to make this release happen.

DOWNLOAD HERE

Share this post


Link to post
Share on other sites

Thanks to everyone who contributed to this awesome release, especially to (in no particular order) Ippo, RichardLake, hakan, mgsdk, tips48, Forty-Bot and pjf!

The timing is just perfect following KSP's spectacular 0.90 release yesterday. In the same spirit the CKAN team have just made a huge step forward towards simple, practical and awesome mod management for all.

I hope you enjoy what we've made, we're all very proud of the amount of new features and fixes in CKAN 1.3.

Cheers and happy christmas rocketing!

Edited by nlight

Share this post


Link to post
Share on other sites

Thanks for the update!

I'm still getting the same error as described here though.

Whenever I'm trying to update, the certificate error pops up…

I filed an issue on Github.

Edited by mecki

Share this post


Link to post
Share on other sites

(Original post deleted)

Posted a problem about running ckan on linux, turns out I didn't have the mono library...

I have the noobs today...*sniffle*

Sam :P

Edited by SamboUK96

Share this post


Link to post
Share on other sites
Hi, Recently got a ubuntu 14.04 (or something like that), and successfully installed KSP on it.

Trying to run ckan, and with or without the 'mono' prefix, I get this wierd error:

(I type command, i.e., >mono ./ckan.exe)

Unhandled Exception:

System.IO.FileNotFoundException: Could not load file or assembly 'System.Transactions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089' or one of its dependencies.

File name: 'System.Transactions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089'

[ERROR] FATAL UNHANDLED EXCEPTION: System.IO.FileNotFoundException: Could not load file or assembly 'System.Transactions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089' or one of its dependencies.

File name: 'System.Transactions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089'

This is with KSP 0.25, and most recent CKAN distribution.

Please help, i'm a linux noob.

Thanks.

Hey, please install mono-complete by calling

sudo apt-get install mono-complete

Share this post


Link to post
Share on other sites

Regarding running ckan on Mac. I tried launching it again and it finally launched after a VERY long time (3-5 mins). Apparently mono is just slow. Oh well.

Share this post


Link to post
Share on other sites
Regarding running ckan on Mac. I tried launching it again and it finally launched after a VERY long time (3-5 mins). Apparently mono is just slow. Oh well.

Hey, this is an issue with older CKAN versions, please upgrade to the latest one from the releases page.

Share this post


Link to post
Share on other sites

I got this error. Sorry for the dutch. Also I notice the archive is lagging behind in mods that are updated for 0.9.

Edit

Error wet away after a while

Edited by mellester
Error went away

Share this post


Link to post
Share on other sites
Also I notice the archive is lagging behind in mods that are updated for 0.9.

I'm assuming that's probably because the repository is populated by crawling through all the mods every so often. If a bunch of mods update right after a crawl, the repository will probably be behind quite a bit.

Share this post


Link to post
Share on other sites
I'm assuming that's probably because the repository is populated by crawling through all the mods every so often. If a bunch of mods update right after a crawl, the repository will probably be behind quite a bit.

Exactly: indicatively, the bots will refresh our index once an hour, give or take.

Share this post


Link to post
Share on other sites

Clicking the homepage link for Universal Storage crashes CKAN (v1.3.0.0). I guess it's because the "http://" is missing.

Btw a great feature would be an option to force removing directories upon deletion. I use DDS loader and convert all textures, currently that makes CKANs uninstall feature not really useable.

Share this post


Link to post
Share on other sites

For interested MAC users:

I created two automator apps to make running CKAN easier.

One starts the CKAN GUI without having to open the terminal:

https://www.dropbox.com/sh/4yv46ogn3p5zv0y/AABiMEGNf-XH4PjP0W8MCtX0a?dl=0

I was having problems updating CKAN on my MAC. That's why I created another automator app. It retrieves a list of CKAN mirrors from the internet, lets you choose one and then updates your CKAN:

https://www.dropbox.com/sh/yiy17879eadaor8/AABDwu7HMlkP4Vt4SHAO5atna?dl=0

The apps have to lie in the same directory as your ckan.exe or otherwise they need to be adapted accordingly.

Everyone feel free to take it and do anything you like with it

You're welcome

Edited by mecki

Share this post


Link to post
Share on other sites

Hey I have a problem, I have a lot of supported mods including KWRocketry and interstellar, yet they don't show up on the installed mod list! This is on the latest version. PLEASE HELP!

EDIT: Also, a lot of mods which CKAN claims to be up-to-date are stated as incompatible with 0.25...

Edited by Speedbird

Share this post


Link to post
Share on other sites

I don't understand why this doesn't support curse. You mentioned that it doesn't have an api for something, is it just the version number? And could that be solved with a screen scraper?

Just seems like the C in ckan isn't true if the squad supported method isn't represented. :/

I don't want to just be a complainer though, I hate that. If you give me the background I'll try to make a pr on github to support it.

Share this post


Link to post
Share on other sites
I don't understand why this doesn't support curse. You mentioned that it doesn't have an api for something, is it just the version number? And could that be solved with a screen scraper?

API first, and actually being allowed to use the data next. Did you look at the terms and conditions on curse?

We discussed all this on a github ticket, please read through https://github.com/KSP-CKAN/CKAN/issues/115 ...

Share this post


Link to post
Share on other sites
Hey I have a problem, I have a lot of supported mods including KWRocketry and interstellar, yet they don't show up on the installed mod list! This is on the latest version. PLEASE HELP!

What version of ksp are you using?

If it is .90, it will take a little while for ckan to update its index (if I am not mistaken, the indexer runs once an hour so the longest wait time should be around 60 minutes until the repo automatically updates).

If it is .25, make sure that ckan's windows says "Kerbal Space Program 0.25.0" on the top right-hand corner. If it says anything else, you need to select the folder where you have .25 installed by choosing a new ksp folder.

Share this post


Link to post
Share on other sites
API first, and actually being allowed to use the data next. Did you look at the terms and conditions on curse?

We discussed all this on a github ticket, please read through https://github.com/KSP-CKAN/CKAN/issues/115 ...

Perfect. This is all the background I need. I'll work with curse to make a tool that gives up this metadata.

Share this post


Link to post
Share on other sites

Hi there! A quick question-- Is there a "check all" button for updating all mods that have available updates, and I'm just not seeing it? I've been clicking each little checkbox, which can get to be a pain when the list gets long. :)

Also, I keep getting an unhandled exception on the first file it attempts to write. These mods were installed by CKAN on a previous run (I removed everything and let CKAN pull them for me). This is preceded by several messages about not removing non-empty folders for these mods. Am I doing something wrong? Thanks,

EDIT: Screenshot:

ckan-crash.png

Edited by NecroBones

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.